---
updatedAt: 2026-06-25T17:49:52.000Z
agentTools:
  projectIndex: https://team-asset-panda.readme.io/llms.txt
---

# Update Action Field

## Update a Specific Action Field

Updates (or changes) a specific, existing editable action field based on both action and field IDs.

See <b>Parameters</b> and <b>Authentication</b> below.

## Sample Request

```text
{
  "field":
    {
      "name": "frdasd 44",
      "long_name": "s",
      "type": "TextField",
      "allow_scanning": "0",
      "mobile_scan_only": "0",
      "is_open_field": "true",
      "is_required": "0",
      "is_editable": "0",
      "is_return_field": "0",
      "is_required_return": "0",
      "is_editable_return": "0"
    }
}
```

## Parameters

| Path Parameters | Required/Optional | Description                                  | Type   |
| :-------------- | :---------------- | :------------------------------------------- | :----- |
| `action_id`     | required          | The value for the action you want to update. | string |
| `field_id`      | required          | The value for the field you want to update.  | string |

| Body Parameters | Required/Optional | Description                                                       | Type                                                          |
| :-------------- | :---------------- | :---------------------------------------------------------------- | :------------------------------------------------------------ |
| `field`         | required          | The list of field objects that must be updated for the action(s). | Array of objects. See <b>Action Field Objects List</b> below. |

## Action Fields Objects List

The following action field objects are all required strings:

* `name`: The name of the action field.
* `long_name`: The display field (read-only).
* `type`: The action field type.
* `allow_scanning`: Allows the action field to be scanned.
* `mobile_scan_only`: Allows the action field to be scanned via mobile devices only.
* `is_open_field`: Means this action field is an open field (what happens when someone clicks the action).
* `is_required`: Denotes the action field as a required field.
* `is_editable`: Allows editing of the specific action field.
* `is_return_field`: Provides a return option for the asset.
* `is_required_return`: Is a return required for the action to be closed?
* `is_editable_return`: Do you wish for users to be able to manually edit the return?

## Authentication

| Key           | Description        |
| :------------ | :----------------- |
| Authorization | Your Bearer token. |

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "V3-APIs",
    "version": "3.1"
  },
  "servers": [
    {
      "url": "https://api.assetpanda.com"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "schemas": {
      "UpdateActionFieldRequest": {
        "title": "Action fields",
        "required": [
          "field"
        ],
        "type": "object",
        "properties": {
          "fields": {
            "$ref": "#/components/schemas/Fields"
          }
        },
        "example": {
          "field": {
            "name": "frdasd 44",
            "long_name": "s",
            "type": "TextField",
            "allow_scanning": "true",
            "mobile_scan_only": "false",
            "is_open_field": "true",
            "is_required": "false",
            "is_editable": "true",
            "is_return_field": "true",
            "is_required_return": "true",
            "is_editable_return": "false"
          }
        }
      },
      "Fields": {
        "title": "Fields",
        "required": [
          "name",
          "type"
        ],
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "long_name": {
            "type": "string"
          },
          "type": {
            "type": "string"
          },
          "allow_scanning": {
            "type": "string"
          },
          "mobile_scan_only": {
            "type": "string"
          },
          "is_open_field": {
            "type": "string"
          },
          "is_required": {
            "type": "string"
          },
          "is_editable": {
            "type": "string"
          },
          "is_return_field": {
            "type": "string"
          },
          "is_required_return": {
            "type": "string"
          },
          "is_editable_return": {
            "type": "string"
          }
        },
        "example": {
          "name": "frdasd 44",
          "long_name": "s",
          "type": "TextField",
          "allow_scanning": "true",
          "mobile_scan_only": "false",
          "is_open_field": "true",
          "is_required": "false",
          "is_editable": "true",
          "is_return_field": "true",
          "is_required_return": "true",
          "is_editable_return": "false"
        }
      }
    }
  },
  "tags": [
    {
      "name": "Actions"
    }
  ],
  "paths": {
    "/v3/actions/{action_id}/fields/{field_id}": {
      "put": {
        "tags": [
          "Actions"
        ],
        "summary": "Update Action Field",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateActionFieldRequest",
                "example": {
                  "field": {
                    "name": "frdasd 44",
                    "long_name": "s",
                    "type": "TextField",
                    "allow_scanning": "0",
                    "mobile_scan_only": "0",
                    "is_open_field": "true",
                    "is_required": "0",
                    "is_editable": "0",
                    "is_return_field": "0",
                    "is_required_return": "0",
                    "is_editable_return": "0"
                  }
                }
              }
            }
          }
        },
        "parameters": [
          {
            "name": "action_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "field_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "string"
                },
                "example": ""
              }
            }
          }
        }
      }
    }
  }
}
```